org.apache.fontbox.util.autodetect

## Class MacFontDirFinder

- java.lang.Object
- - org.apache.fontbox.util.autodetect.NativeFontDirFinder
  - - org.apache.fontbox.util.autodetect.MacFontDirFinder

All Implemented Interfaces:
  FontDirFinder

    public class MacFontDirFinder
    extends NativeFontDirFinder

Mac font directory finder. This class is based on a class provided by Apache FOP. see org.apache.fop.fonts.autodetect.MacFontDirFinder

### Constructor Summary

Constructors
Constructor and Description
`MacFontDirFinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String[]` `getSearchableDirectories()` Some guesses at possible unix font directory locations.

### Methods inherited from class org.apache.fontbox.util.autodetect.NativeFontDirFinder

`find`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MacFontDirFinder

    public MacFontDirFinder()

### Method Detail

#### getSearchableDirectories

    protected String[] getSearchableDirectories()

Some guesses at possible unix font directory locations.

Specified by:
  `getSearchableDirectories` in class `NativeFontDirFinder`
Returns:
  a array of possible font directory locations